# $Revision: 1.10 $, $Date: 2012/05/08 09:48:01 $
Summary:	Contacts manager for GNOME
Name:		gnome-contacts
Version:	3.4.1
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-contacts/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	e5eb42a24316d247405fd42e872f88ae
URL:		https://live.gnome.org/ThreePointOne/Features/Contacts
BuildRequires:	autoconf >= 2.67
BuildRequires:	automake
BuildRequires:	evolution-data-server-devel >= 3.2.0
BuildRequires:	folks-devel >= 0.6.1.1
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.31.10
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool
BuildRequires:	libgee-devel
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.17.5
BuildRequires:	vala >= 2:0.14.0
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	evolution-data-server >= 3.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-contacts is a standalone contacts manager for GNOME desktop.

%prep
%setup -q

%build
mkdir m4
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS TODO ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.gschema.xml
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-contacts.spec,v $
Revision 1.10  2012/05/08 09:48:01  kiesiu
- updated to 3.4.1

Revision 1.9  2012/03/28 09:13:27  kiesiu
- updated to 3.4.0; merged from DEVEL

Revision 1.8.2.1  2012/03/11 11:15:09  megabajt
- updated to 3.3.91

Revision 1.8  2011/10/20 18:32:26  wiget
- up to 3.2.2

Revision 1.7  2011/09/30 07:08:20  megabajt
- updated to 3.2.0.1

Revision 1.6  2011/09/20 16:02:22  megabajt
- added BR/R evolution-data-server

Revision 1.5  2011/09/20 15:36:13  wiget
- up to 0.1.5.2

Revision 1.4  2011/09/19 15:11:42  megabajt
- updated to 0.1.5

Revision 1.3  2011/09/18 17:55:19  megabajt
- updated to 0.1.4.1

Revision 1.2  2011/09/06 14:30:28  wiget
- up to 0.1.3
- disable silent make rules
- BR xz and tar with xz support

Revision 1.1  2011/09/02 10:06:11  patrys
- initial PLD release


